<?php

namespace App\ViewModels\FormaPagamento\FormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class BoletoRegistrationViewModel extends Entity {
	protected $number;
	protected $data_venc;
	protected $valor;
	

	public static function builder(): BoletoRegistrationViewModelBuilder {

		$boleto_registration_view_model_builder = new BoletoRegistrationViewModelBuilder();
		return $boleto_registration_view_model_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNumber() {

		return $this->number;

	}

	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number): void {

		$this->number = $number;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataVenc() {

		return $this->data_venc;

	}

	/**
	 *
	 * @param mixed $data_venc
	 */
	public function setDataVenc($data_venc): void {

		$this->data_venc = $data_venc;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): void {

		$this->valor = $valor;

	}

	

}
